Subject: RE: royalty-free blanket statements and reasonable terms

From: "Ling, Hung C (Hung)" <[email-masked]>
Date: Thu, 4 Sep 2003 09:08:15 -0400

I agree with Brian, and I believe the documents should be freezed at the versions after the IPR WG last call.

Hung Ling

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]]
Sent: Thursday, September 04, 2003 8:42 AM
To: [email-masked]
Subject: Re: royalty-free blanket statements and reasonable terms

I respectfully disagree. We haven't changed the IETF's policy,
and citing such a precise definition of RF would make newcomers
believe that the IETF was somehow endorsing it.

I belive that we should freeze the documents at this point.

   Brian

Catherine McCarthy wrote:
> 
> Harald and Scott,
> 
> I agree that, at this late date, it is not appropriate to include additional
> definitions in the current set of documents. As W3C illustrates, vetting the
> definition of "royalty-free" is an arduous and time-consuming process.
> 
> However, since IETF members have raised questions related to the meaning of
> "royalty-free," we should reference the W3C Patent Policy licensing
> requirements section as an example of a standards industry accepted
> definition of "royalty free."
> 
> The best way to do this is to provide a hyperlink to the W3C Patent Policy,
> Paragraph 5 in the IETF Patent Disclosures and Licensing Declarations
> Document Section VI b). [See:
> http://www.w3.org/Consortium/Patent-Policy-20030520.html#def-RF
> 
> It may be useful to note that a royalty-free license is a license only to
> those patents or patent applications that would necessarily be infringed by
> implementing the specification. No other license under such patents or
> patent applications is provided for any purpose. Additionally, a
> royalty-free license is not a blanket license to all of one's patents.
> 
> Catherine
> 
> ----- Original Message -----
> From: "Harald Tveit Alvestrand" <[email-masked]>
> To: <[email-masked]>; "'Scott Bradner'" <[email-masked]>;
> <[email-masked]>
> Sent: Wednesday, August 27, 2003 9:00 AM
> Subject: RE: royalty-free blanket statements and reasonable terms
> 
> >
> >
> > --On 26. august 2003 13:05 -0700 "Lawrence E. Rosen" <[email-masked]>
> > wrote:
> >
> > > Harald and Scott,
> > >
> > > Adding a definition of the term "RF" does not change the IETF policy,
> > > particularly since the IETF policy doesn't require an RF license from
> > > anyone.
> > >
> > > Using the W3C definition would at least have the advantage of informing
> > > people of important patent license terms if the IETF-standardized
> > > technology were to be combined in a single implementation with some
> > > W3C-standardized technology.  If a licensor said, "we're licensing our
> > > technology on RF terms," we'd be able to conclude that the license terms
> > > were compatible with W3C's *and* IETF's definitions of RF.
> >
> > Larry,
> >
> > I heartily encourage and support an effort to publish text that people can
> > point to and say "this is what we mean when we say RF".
> >
> > Like the definition of "open source license", I think it would have to be
> > of the form "any license that is no more restrictive than what's described
> > here is appropriate" - companies seem to be just unable to resist adding
> > more language into licensing documents - but otherwise, I think the
> current
> > proposal is "close enough to be OK".
> >
> > It's JUST the inclusion of this in the current set of documents, at a time
> > when allowing a month of discussion to make sure it's correct and has
> > consensus just about directly causes a month of delay in publishing the
> > documents, I'm objecting to.
> >
> > You and Chuck just gave a very good demonstration of why rushing text into
> > this document set is a thoroughly Bad Idea.
> >
> >                 Harald
> >

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Lawrence E. Rosen" <[email-masked]>
Date: Mon, 25 Aug 2003 22:19:57 -0700

Jorge,

Regarding "non-sublicenseable": Some members of W3C argued that they
wanted to retain privity of contract between themselves and any
licensees.  But I don't think privity is important in the context of a
patent license to practice a public specification for an industry
standard.  Why not leave this condition out of the policy and let
licensors decide for themselves whether they want licensees to come
directly to them for a license?  It's all a big fiction anyway, since
under W3C rules nobody actually has to ask for or deliver a written
license.  Why bother with the overhead when the license is royalty free?

Regarding "non-assignable": Same concern.  Same rejoinder.  I think this
provision in the W3C policy is as unnecessary in the real world as the
non-sublicenseable provision.

/Larry Rosen

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Contreras, Jorge
> Sent: Monday, August 25, 2003 11:20 AM
> To: Scott Bradner; [email-masked]
> In the introductory paragraph, why must an RF license be 
> "non-assignable" and "non-sublicensable"?  Does this mean 
> that a truly royalty-free license that is assignable does not 
> qualify as "RF"?  That would be an odd result.  Did the W3C 
> have a specific reason for including these terms?
> 
> From: Scott Bradner [mailto:[email-masked]]
> Sent: Monday, August 25, 2003 12:18 PM
> To: [email-masked]
> if we were to put a version of the W3C RFC definiition on as 
> an appendix it might look like this
> 
> Appendix A. Royalty-Free Licensing
>    The following description of what constitutes 
> royality-free licensing
>    has been adapted from the W3C.
> 
>    With respect to a Recommendation developed under this policy, a
>    Royalty-Free license shall mean a non-assignable, non-sublicensable
>    license to make, have made, use, sell, have sold, offer to sell,
>    import, and distribute and dispose of implementations of the
>    Recommendation that:
> 
>    1. shall be available to all, worldwide;
> 
>    2. shall extend to all IPR that Covers technology in a 
> specified IETF
>       Document owned or controlled by the licensor;
> 
>    3. may be limited to implementations of the IETF of the 
> technology in
>       the specified IETF Document, and to what is required by the
>       specified IETF Document;
> 
>    4. may be conditioned on a grant of a reciprocal RF license (as
>       defined in this appendix) to all IPR that Covers technology in a
>       specified IETF Document owned or controlled by the licensee. A
>       reciprocal license may be required to be available to all, and a
>       reciprocal license may itself be conditioned on a further
>       reciprocal license from all.
> 
>    5. may not be conditioned on payment of royalties, fees or other   
>       consideration;
> 
>    6. may be suspended with respect to any licensee when licensor is
>       sued by licensee for infringement of claims essential 
> to implement
>       the technology in any IETF Document; 
> 
>    7. may not impose any further conditions or restrictions 
> on the use  
>       of any technology, intellectual property rights, or other
>       restrictions on behavior of the licensee, but may include
>       reasonable, customary terms relating to operation or 
> maintenance  
>       of the license relationship such as the following: choice of law
>       and dispute resolution; 
> 
>    8. shall not be considered accepted by an implementer who manifests
>       an intent not to accept the terms of a Royalty-Free license as  
>       offered by the licensor.
> 
>    License term:
> 
>    9. The RF license conforming to the requirements in this 
> policy shall
>       be for the life of the patents in question.
> 
> 
> 
>